Get Internet Service Availability
Retrieves available Internet service providers and their offerings for the service address associated with the current session.
Data Provided
- Internet Service Providers (ISPs)
- Available plans and pricing
- Technology types (Fiber, Cable, DSL, etc.)
- Maximum speeds
- Provider contact information
- Checkout URLs
Data Freshness
Provider and product data comes from the current Hum data set identified by meta.hum_data_set.
Example Response
{
"message": "Service coverage for 29090 TIFFANY DR E, SOUTHFIELD, MI 48034",
"request_status": "ok",
"data": [
{
"provider_id": "130317",
"provider_name": "Xfinity",
"telephone": "+18332981431",
"provider_icon": null,
"provider_logo": "https://cdn.example.com/providers/xfinity-logo.png",
"url": "https://affiliate.example.com/xfinity?session=SESSION_TOKEN",
"button_label": "xfinity.com",
"min_plan_price": {
"amount_cents": 4000,
"currency": "USD"
},
"provider_promo": {},
"url_promo": {},
"offerings": [
{
"technology": "Cable",
"max_download_speed": 1200,
"max_upload_speed": 35
}
],
"product_catalog": []
}
],
"meta": {
"session_token": "SESSION_TOKEN_PLACEHOLDER",
"session_status": "open",
"session_params": {
"street1": "29090 Tiffany Dr E",
"street2": null,
"city": "Southfield",
"state": "MI",
"zip": "48034",
"latitude": "42.50189",
"longitude": "-83.29528",
"campaign_id": null
},
"service_address": "29090 Tiffany Dr E, Southfield, MI 48034-4540",
"mdu": false,
"agent_status": {
"geocoding": "matched",
"internet": "matched",
"checkout": "pending"
},
"created_at": "2026-07-13T12:26:15.618-04:00",
"updated_at": "2026-07-13T12:26:15.618-04:00",
"responded_at": "2026-07-13T16:26:17.471Z",
"hum_data_set": "26011015"
}
}
Note: Some providers may return an empty product_catalog array.
Authorizations
Bearer token authentication using API tokens.
Include the token in the Authorization header as: Authorization: Bearer <token>
Obtain tokens from your Hum representative or contact support@letshum.com. There is no self-serve API key dashboard.
Path Parameters
The session token identifying the specific session The session token provided by the Hum API. Used to connect the response to the session in the client system.
"XqCmeTVgYXrbWrZFZEymkD"
Response
Internet service providers, available plans, and logos/urls for a given service address.
A message returned by the API. Includes a human-readable message about the status of the request.
"What happened in the most recent request."
An informational summary returned in API response bodies: ok for successful responses, warning for standard request errors, and error for endpoint-specific failures. Integrations must use the HTTP status code, not request_status, to determine whether a request succeeded.
ok, warning, error "ok"
Session metadata, including normalized input values, formatted service address, session status, and the Hum data set used for the response.
